Skip to main content
POST
/
workflows
/
{workflowId}
/
executions
/
batch
Create batch execution
curl --request POST \
  --url https://script.so/api/v1/workflows/{workflowId}/executions/batch \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "items": [
    {}
  ],
  "concurrency": "low"
}
'
{
  "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "total": 1,
  "executions": [
    {
      "execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "index": 1
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication. Get your key from Settings → API Keys.

Path Parameters

workflowId
string<uuid>
required

Workflow ID

Body

application/json

Request body for batch workflow execution

items
object[]
required

Array of input objects for each workflow execution

Required array length: 1 - 10000 elements
concurrency
enum<string>

Concurrency level for parallel executions. low=1, medium=5, high=15. Defaults to the workflow's configured concurrency level.

Available options:
low,
medium,
high

Response

Batch execution created

Response after batch execution request

workflow_id
string<uuid>
required

ID of the workflow being executed

total
integer
required

Total number of items in the batch

Required range: x >= 0
executions
object[]
required

Details of each execution